| Home | Libraries | People | FAQ | More

## Function template scatter_if

boost::compute::scatter_if

## Synopsis

    // In header: <boost/compute/algorithm/scatter_if.hpp>

    template<typename InputIterator, typename MapIterator,
             typename StencilIterator, typename OutputIterator,
             typename Predicate>
      void scatter_if(InputIterator first, InputIterator last, MapIterator map,
                      StencilIterator stencil, OutputIterator result,
                      Predicate predicate,
                      command_queue & queue = system::default_queue());

## Description

Copies the elements from the range [`first`, `last`) to the range beginning at `result` using the output indices from the range beginning at `map` if stencil is resolved to true. By default the predicate is an identity